Subject: Re: linux-next: build failure after merge of the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 19 Sep 2018 16:31:02 +1000

Hi David,

On Wed, 19 Sep 2018 07:01:00 +0100 David Howells <[email-masked]> wrote:
>
> Stephen Rothwell <[email-masked]> wrote:
> 
> > > I think the problem is that I haven't allocated system call numbers for
> > > any arches other than x86 - even the x86 syscall numbers are provisional
> > > until the patchset is taken upstream.  I'm not sure of the best way to
> > > deal with this - make the samples dependent on the X86 arch?  
> > 
> > But the sample programs are built with HOSTCC, so you can't depend on
> > ARCH (since I, for one, am cross compiling).  Maybe SUBARCH.  Better
> > would be to use either Kconfig's shell primitive or some make magic to
> > figure out if the syscall number define's are defined.  
> 
> I meant put the dependency in the Kconfig.

Yeah, sure.  Kconfig now has the ability for that dependency to be the
result of an external program "$(shell ....)", so you could have a
script or program that checked to see if the syscall numbers are
defined and then have the Kconfig symbol(s) for the tests depend on that.

-- 
Cheers,
Stephen Rothwell